global_defs {
    router_id haproxy_node_2
}

vrrp_script check_haproxy {
    script "/usr/bin/pgrep haproxy"
    interval 2
    weight -20
    fall 3
}

vrrp_instance VI_1 {
    state MASTER
    interface enp0s2
    virtual_router_id 51
    unicast_src_ip 192.168.64.11
    unicast_peer {
        192.168.64.10
    }
    priority 100
    advert_int 1

    track_script {
        check_haproxy
    }

    virtual_ipaddress {
        192.168.64.201/24
    }
}

vrrp_instance VI_2 {
    state BACKUP
    interface enp0s2

    virtual_router_id 52
    mcast_src_ip 192.168.64.11
    unicast_src_ip 192.168.64.11
    unicast_peer {
        192.168.64.10
    }
    priority 90
    advert_int 1

    track_script {
        check_haproxy
    }

    virtual_ipaddress {
        192.168.64.202/24
    }
}
